Version:        1.000
Release:        %autorelease -s 20250209git6b06821
URL:            https://github.com/Gissio/font_DotMatrix

%global common_description %{expand:A font inspired by the dot matrix 
printers of the 1980s.}

%global foundry gissio
%global fontlicense OFL-1.1
%global fontlicenses OFL.txt
%global fontdocsex %{fontlicenses}

%global fontfamily0 DotMatrix
%global fontsummary0 The DotMatrix font family
%global fonts0 fonts/otf/DotMatrix-*.otf
%global fontconfs0 %{SOURCE10}
%global fontdescription0 %{expand:%{common_description}

This package contains the non-variable font version of the DotMatrix font.}

%global fontfamily1 DotMatrix Duo
%global fontsummary1 The DotMatrix Duo font family
%global fonts1 fonts/otf/DotMatrixDuo-*.otf
%global fontconfs1 %{SOURCE11}
%global fontdescription1 %{expand:%{common_description}

This package contains the non-variable font version of the DotMatrix Duo font.}

%global fontfamily2 DotMatrix Quad
%global fontsummary2 The DotMatrix Qaud font family
%global fonts2 fonts/otf/DotMatrixQuad-*.otf
%global fontconfs2 %{SOURCE12}
%global fontdescription2 %{expand:%{common_description}

This package contains the non-variable font version of the DotMatrix Quad font.}

%global fontfamily3 DotMatrix-VF
%global fontsummary3 The DotMatrix font family (variable)
%global fonts3 fonts/variable/DotMatrix-*.ttf
%global fontconfs3 %{SOURCE13}
%global fontdescription3 %{expand:%{common_description}

This package contains the variable font version of the DotMatrix font.}

%global fontfamily4 DotMatrix-Duo-VF
%global fontsummary4 The DotMatrix Duo font family (variable)
%global fonts4 fonts/variable/DotMatrixDuo-*.ttf
%global fontconfs4 %{SOURCE14}
%global fontdescription4 %{expand:%{common_description}

This package contains the variable font version of the DotMatrix Duo font.}

%global fontfamily5 DotMatrix-Quad-VF
%global fontsummary5 The DotMatrix Qaud font family (variable)
%global fonts5 fonts/variable/DotMatrixQuad-*.ttf
%global fontconfs5 %{SOURCE15}
%global fontdescription5 %{expand:%{common_description}

This package contains the variable font version of the DotMatrix Quad font.}

Source0:        https://github.com/Gissio/font_DotMatrix/archive/6b06821d2bfbb331d4ecbb04e9ddd1b410acf02c.zip
Source10:       63-gissio-dotmatrix.conf
Source11:       63-gissio-dotmatrix-duo.conf
Source12:       63-gissio-dotmatrix-quad.conf
Source13:       63-gissio-dotmatrix-vf.conf
Source14:       63-gissio-dotmatrix-duo-vf.conf
Source15:       63-gissio-dotmatrix-quad-vf.conf

%fontpkg -a


%prep
%autosetup -n font_DotMatrix-6b06821d2bfbb331d4ecbb04e9ddd1b410acf02c


%build
%fontbuild -a


%install
%fontinstall -a


%check
%fontcheck -a


%fontfiles -a


%changelog
%autochangelog


